/**  
 * <p>Title: QyzxUseRecord.java</p>  
 * <p>Description: </p>  
 * @author dsc  
 * @date 2020年4月21日  
 * @version 1.0  
 */  
package cn.timer.api.bean.qyzx.businessService;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**  
 * <p>Title: QyzxUseRecord.java</p>  
 * <p>Description: 使用记录表</p>  
 * @author dsc  
 * @date 2020年4月21日  
 * @version 1.0  
 */

@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name="qyzx_use_record")
@ApiModel("使用记录表")
public class QyzxUseRecord extends Model<QyzxUseRecord>{

	private static final long serialVersionUID = 8623518557970200924L;

	@Id
	@GeneratedValue
	@TableId (type = IdType.AUTO)
	@ApiModelProperty(value="主键",example="1")
	private Integer id;
	
	@ApiModelProperty(value="模块id",example="1")
    private Integer pmid;
	
	@ApiModelProperty(value="使用场景",example="1")
    private Integer scene;
	
	@ApiModelProperty(value="原始数量",example="500")
    private Integer originalCount;
	
	@ApiModelProperty(value="现在数量",example="499")
    private Integer nowCount;
	
	@ApiModelProperty(value="模块状态",example="默认0-开启，1-关闭")
    private Integer status;
	
	@ApiModelProperty(value="排序",example="")
    private String sort;
	
	@ApiModelProperty(value="是否删除",example="默认0-未删除，1-删除")
    private Integer isDelete;

	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value="创建时间 ",example="")
	private Date createTime;

	@ApiModelProperty(value="创建人 ",example="")
	private Integer createUser;

	@TableField(fill = FieldFill.UPDATE)
	@ApiModelProperty(value="修改时间 ",example="")
	private Date modifyTime;

	@ApiModelProperty(value="修改人 ",example="")
	private Integer modifyUser;
}
